Windows用インストーラの64bit版を作成する。RTSystemEditorRCPはマージモジュール利用に変更する。
プロダクト名・msiファイル名も変更する。
説明

64bit版のインストーラも生成できるようにする
RTSystemEditorRCPのマージモジュール(msm)は、

別環境でインストーラのバージョン（32bit、64bit）に対応した生成済みのものを利用する
C++, Python, Java の各言語用インストーラが同じマージモジュールを組込む

インストーラのプロダクト名、msiファイル名、スタートメニューの表記を変更する

関係しているリビジョン
リビジョン 724 - 2015/01/20 10:41 - kawauchi

[compat, installer] Setting for 64bit msi generation has been changed. RTSystemEditorRCP has been changed to use the merge module.
Product name, msi file name, start menu has been changed.

履歴
#1 - 2015/02/10 17:52 - n.kawauchi

- ステータス を 新規 から 解決 に変更

- 進捗率 を 0 から 100 に変更

64bit版インストーラmsiを作成できるようにし、ファイル名を以下とする
OpenRTM-aist-Java_1.1.0-RELEASE_x86_64.msi

RTSystemEditorRCPのマージモジュールファイルは、現在のところ下記にアップしている
http://openrtm.org/pub/Windows/OpenRTM-aist/tools/msm/
　　・RTSystemEditorRCP_x86_64.msm
　　・RTSystemEditorRCP_x86.msm
このマージモジュールをjp.go.aist.rtm.RTC/installer/win32ディレクトリにダウンロードしてからmsiを生成するようにスクリプトで指定する

32bit用msi生成時の指定（スクリプト処理から抜粋）

set�ARCH=x86
cd�00_openrtm-java-build-trunk
set�URL=http://openrtm.org/pub/Windows/OpenRTM-aist/tools/msm/RTSystemEditorRCP_%ARCH%.msm
C:\Cygwin64\bin\wget.exe�%URL%�-P�jp.go.aist.rtm.RTC/installer/win32/

call�buildInstaller.bat

変更後のプロダクト名
OpenRTM-aist-1.1.0-RELEASE (32-bit OS) for Java
OpenRTM-aist-1.1.0-RELEASE (64-bit OS) for Java

変更後のスタートメニュー
ネームサービス起動　：　Start Java Naming Service
メニュー表記の先頭を大文字に変更
スタートメニュー抜粋

OpenRTM-aist�1.1�->�C++�->�Components�->�Examples
OpenRTM-aist�1.1�->�C++�->�Components�->�OpenCV-Examples
OpenRTM-aist�1.1�->�C++�->�Documents
OpenRTM-aist�1.1�->�C++�->�Tools�->�rtc.conf�for�RTC�daemon
http://openrtm.org/pub/Windows/OpenRTM-aist/tools/msm/


OpenRTM-aist�1.1�->�C++�->�Tools�->�Start�RTC�daemon
OpenRTM-aist�1.1�->�Java�->�Components�->�Examples
OpenRTM-aist�1.1�->�Java�->�Documents
OpenRTM-aist�1.1�->�Java�->�Tools
OpenRTM-aist�1.1�->�Python�->�Components�->�Examples
OpenRTM-aist�1.1�->�Python�->�Documents
OpenRTM-aist�1.1�->�Python�->�Tools
OpenRTM-aist�1.1�->�Tools�->�OpenRTP�1.1.0
OpenRTM-aist�1.1�->�Tools�->�RTSystemEditorRCP
OpenRTM-aist�1.1�->�Tools�->�Start�C++�Naming�Service
OpenRTM-aist�1.1�->�Tools�->�Start�Java�Naming�Service
OpenRTM-aist�1.1�->�Tools�->�Start�Python�Naming�Service

#2 - 2015/06/05 14:29 - n-ando

- ステータス を 解決 から 終了 に変更
